#include <avr/io.h>
#include <util/delay.h>
#include "keyb.h"
#include "led.h"
#include "25LC080.h"

int main(void)
{
	spiInit();
	ledInit();
	keybInit();
	DDRC |= _BV(DDC0);
	uint8_t PIN[4];
	eepromReadBytes(0, PIN, sizeof(PIN));
	while(1) 
	{		
		ledClear();
		uint8_t match = 1;
		uint8_t newPIN[4];
		uint8_t newPINEntered = 0;
		//wczytanie PINu
		for (uint8_t i = 0; i < 4; i++) {
			uint8_t input = getKey();
			if (input == 16) {
				newPINEntered = 1;
				input = getKey();
			}
			if (input == 10) input = 0;
			if (input != PIN[i]) match = 0;
			newPIN[i] = input;
			ledDispSymbol(LED_MINUS, 3 - i);
		}
		//zapisz nowy PIN
		if (newPINEntered) {
			newPINEntered = 0;
			eepromWriteBytes(0, newPIN, sizeof(newPIN));
			for (uint8_t i = 0; i < sizeof(PIN); i++) {
				PIN[i] = newPIN[i];
			}
		}
		//otwarcie zamka
		if (match) {
			PORTC |= _BV(PORTC0);
			_delay_ms(1000);
			PORTC &= ~_BV(PORTC0);
		}
	}
}
